@import url("https://fonts.googleapis.com/css2?family=Lobster&family=Montserrat:wght@700&family=Open+Sans:wght@400;700&family=Playball&family=Poppins:wght@400;700;800&family=Sedgwick+Ave&family=Source+Sans+Pro:wght@700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "Montserrat", sans-serif;
  min-height: 100vh;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
  font-size: 62.5%;
}

ul {
  list-style: none;
}
a {
  text-decoration: none;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: 2.2rem;
}
::selection {
  background-color: #54e346;
  color: #000;
}
header {
  box-sizing: border-box;
}

/*------------------ LOGIN PAGE STARTS HERE! -------------------*/
main {
  box-sizing: border-box;
}
.bg-img {
  display: block;
  background: url("camsbd-motive.png");
  background-size: cover;
  background-position: center;
  height: 100vh;
}

.bg-img:after {
  position: absolute;
  content: " ";
  top: 0;
  left: 0;
  height: 113.5vh;
  width: 100%;
  background: rgba(0, 0, 0, 0.7);
}

.content-login {
  position: relative;
  top: 55%;
  left: 63%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 999;
  width: 35rem;
  cursor: pointer;
  text-align: center;
  padding-top: 1rem;
  padding-right: 2rem;
  padding-left: 2rem;
  padding-bottom: 1.5rem;
  background: rgba(255, 255, 255, 0.04);
  box-shadow: -0.1rem 0.4rem 2.8rem 0rem rgba(0, 0, 0, 0.75);
}
.content-login .log {
  color: #fff;
  background-color: grey;
  border-radius: 50%;
  padding: 2rem 2.2rem;
  font-size: 4.5rem;
  justify-content: center;
  font-weight: 600;
  margin-top: -10.5rem;
  margin-bottom: 1rem;
}
.field {
  position: relative;
  height: 3.5rem;
  width: 100%;
  display: flex;
  background: rgba(255, 255, 255, 0.94);
  margin-bottom: 1rem;
}
.field.success input {
  border-color: #54e346;
}
.field.error input {
  border-color: #54e346;
}

.field span {
  color: #323232;
  font-size: 1.8rem;
  width: 2rem;
  line-height: 3.5rem;
  margin-left: 1rem;
}

.field input {
  height: 100%;
  width: 100%;
  background: transparent;
  border: none;
  outline: none;
  color: #323232;
  font-size: 1.6rem;
}
.field input::placeholder {
  color: #323232;
  text-align: start;
}
.see {
  display: none;
  position: absolute;
  right: 5rem;
  font-size: 2rem;
  color: #222;
  cursor: pointer;
}
.password:valid ~ .see {
  display: block;
}

.pass {
  text-align: left;
  font-size: 1.6rem;
  margin: 0.7rem 0;
}
.remember-me {
  color: #ffffff;
}
.remember-me input {
  margin-right: 0.7rem;
  font-size: 1.2rem;
}
.pass a {
  color: #ffffff;
  margin-left: 1.5rem;
}
.pass a:hover {
  text-decoration: underline;
}

input[type="submit"] {
  background: #3498db;
  border: 0.1rem solid #54e346;
  color: #ffffff;
  font-size: 1.8rem;
  letter-spacing: 0.1rem;
  font-weight: 600;
  cursor: pointer;
}
input[type="submit"]:hover {
  background: #54e346;
}
.login {
  color: #ffffff;
  font-size: 1.8rem;
  margin: 0.5rem 0;
}
.link {
  display: inline-flex;
  cursor: pointer;
  color: #ffffff;
  margin: 0 0 1rem 0;
}
.facebook {
  width: 100%;
  line-height: 3.5rem;
  padding-left: 2.7rem;
  padding-right: 2.7rem;
  margin-left: 0.5rem;
}
.google {
  width: 100%;
  line-height: 3.4rem;
  padding-left: 3rem;
  padding-right: 3rem;
  margin-left: 0.5rem;
}
.facebook {
  background: #4267b2;
  border: 0.1rem solid #3e61a8;
}
.google {
  font-size: 1.6rem;
  background: #da0037;
  border: 0.1rem solid #da0037;
}
.link span {
  font-size: 1.6rem;
  margin-left: 0.8rem;
  font-weight: 500;
  letter-spacing: 0.1rem;
}
.sign-up {
  color: #fff;
  font-size: 1.6rem;
  padding-top: 1rem;
}
.sign-up a {
  color: #3498db;
}
.sign-up a:hover {
  text-decoration: underline;
}

/*------------------ LOGIN PAGE ENDS HERE! -------------------*/

/*------------------------SIGN-UP PAGES STARTS HERE!-----------------*/
.content-signup {
  display: none;
  position: absolute;
  top: 63%;
  left: 63%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 999;
  width: 40rem;
  cursor: pointer;
  text-align: center;
  padding: 0 1rem;
  background: rgba(255, 255, 255, 0.04);
  box-shadow: -0.1rem 0.4rem 2.8rem 0rem rgba(0, 0, 0, 0.75);
}

.content-signup .create {
  color: #ffffff;
  background-color: grey;
  border-radius: 50%;
  padding: 2.5rem 2rem;
  font-size: 4rem;
  justify-content: center;
  font-weight: 600;
  margin-top: -4rem;
}

.field99 {
  position: relative;
  height: 2.5rem;
  width: 100%;
  margin-top: 1rem;
  margin-bottom: 1rem;
  display: flex;
  background: rgba(255, 255, 255, 0.94);
}
.field99 span {
  color: #323232;
  width: 2rem;
  line-height: 2.5rem;
  margin-left: 1rem;
  font-size: 1.8rem;
}
.field99 input {
  height: 100%;
  width: 100%;
  background: transparent;
  border: none;
  outline: none;
  color: #323232;
  font-size: 1.6rem;
}
.field99 input::placeholder {
  color: #323232;
  text-align: start;
}
select {
  width: 60vw;
  font-size: 1.6rem;
  margin-top: 0.3rem;
  font-weight: bolder;
  text-align: left;
  border: none;
  cursor: pointer;
  align-items: flex-start;
  background-color: transparent;
  margin-right: 2rem;
  margin-left: -0.5rem;
}

option {
  margin-top: 1rem;
  border: none;
  background-color: transparent;
}

.sign-in {
  color: #fff;
  font-size: 1.6rem;
  padding-bottom: 1.5rem;
}
.sign-in a {
  color: #3498db;
}
.sign-in a:hover {
  text-decoration: underline;
}

/*------------------------SIGN-UP PAGES ENDS HERE!-----------------*/

@media (max-width: 768px) {
  .bg-img {
    display: block;
    background: url("camsbd-motive.png");
    background-size: cover;
    background-position: center;
    height: 100vh;
  }
  .bg-img:after {
    position: absolute;
    content: " ";
    top: 7%;
    left: 0;
    height: 101vh;
    width: 100%;
    background: rgba(0, 0, 0, 0.7);
  }
  .content-login {
    position: absolute;
    top: 57%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 999;
    width: 33rem;
    text-align: center;
    padding: 2.5rem 1.5rem;
    background: rgba(255, 255, 255, 0.04);
    box-shadow: -0.1rem 0.4rem 2.8rem 0rem rgba(0, 0, 0, 0.75);
  }
  .remember-me input {
    margin-right: 0.7rem;
    font-size: 1rem;
  }
  .pass a {
    margin-left: 0.5rem;
  }
  .sign-up {
    color: #fff;
    font-size: 1.4rem;
    padding-top: 1rem;
  }

  .content-signup {
    position: absolute;
    top: 57%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 999;
    width: 35rem;
    text-align: center;
    padding: 0rem 1.5rem;
    background: rgba(255, 255, 255, 0.04);
    box-shadow: -0.1rem 0.4rem 2.8rem 0rem rgba(0, 0, 0, 0.75);
  }
  .see {
    display: none;
    position: absolute;
    right: 5rem;
    font-size: 1.2rem;
    color: #222;
    cursor: pointer;
  }
  select {
    width: 70vw;
    font-size: 1.4rem;
    font-weight: bolder;
    text-align: center;
    border: none;
    cursor: pointer;
    background-color: transparent;
    margin-right: -12rem;
  }
}
